Subject: Re: overriding/removing inherited credential.helper, Do not add an empty value from config credential.helper

From: Ted Zlatanov <[email-masked]>
Date: Thu, 07 Feb 2013 09:36:12 -0500

On Sat, 10 Nov 2012 23:12:50 +0800 乙酸鋰 <[email-masked]> wrote: 

> In credential.c, line 67:
>     if (!strcmp(key, "helper"))
>	  string_list_append(&c->helpers, value);

> In global config, I add one credential helper.
> But I do not want to use any credential helper in a specific repository.
> Currently there is no way in local config to override and remove
> inherited credential helper.
> Of course, I do not want to change global config.

> Could you suggest a patch?

On Sat, 10 Nov 2012 23:08:04 +0800 乙酸鋰 <[email-masked]> wrote: 

> Below is current git message when a local config credential.helper has
> an empty value. Please skip an empty value.

> $ git push --force origin master
> git: 'credential-' is not a git command. See 'git --help'.

> Did you mean this?
>	  credential
> Total 0 (delta 0), reused 0 (delta 0)
> To https://[email-masked]/user/myrepo.git
>  + d23aa6a...3405990 master -> master (forced update)

I would like that too (needed it today).  Maybe the empty string (as
suggested) or "none" could be acceptable.

"none" seems friendlier and is very unlikely to collide with an actual
credential helper.

Ted